CommetCommet
GitHubDiscordStatus
Create feature POSTDelete feature DELETEGet feature access GETGet feature GETList feature access GETList features GETUpdate feature PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List feature access

List a customer's feature access and current usage.

GET
/feature-access

List a customer's feature access and current usage.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/feature-access?customerId=string"

{  "object": "list",  "hasMore": false,  "data": [    {      "code": "web_search",      "name": "Web search",      "unitName": "searches",      "type": "usage",      "allowed": true,      "consumption": {        "model": "balance",        "period": {          "start": "2026-07-01T00:00:00.000Z",          "end": "2026-08-01T00:00:00.000Z"        },        "unitsUsed": 4,        "spent": {          "amount": 100,          "currency": "usd"        },        "availableUnits": 796,        "unitPrice": {          "amount": 2500,          "currency": "usd",          "scale": 10000        }      },      "object": "feature_access",      "livemode": true    }  ]}

{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get feature GET

Get a single feature definition by code from the organization's feature catalog.

List features GET

List every feature defined in the organization. This is the organization's feature catalog (definitions), not a customer's feature access.